Subject: Re: bug#23574: 24.5; Overzealous underlining in emacs-nox

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jun 2016 21:55:10 +0300

> Date: Mon, 06 Jun 2016 18:54:38 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > Going back to the bug report, there's still one issue to consider:
>  > should we add underline (and then also overline and strikethrough) to
>  > the list of face attributes that cause face extension on GUI frames.
>  > The logic behind the current code seems to be to extend attributes
>  > that are related to background of the text.  The above 3 seem to be a
>  > kind-of background, so maybe we should add them.
> 
> It would make my life much easier if face extension were, in general,
> customizable.  I would immediately turn it off everywhere.

Can you suggest a defcustom for that (what type? which values mean
what? etc)?  Then we can talk how hard it is to implement that.